Private Link Services - Delete Private Endpoint Connection
Delete private end point connection for a private link service in a subscription.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}/privateEndpointConnections/{peConnectionName}?api-version=2021-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
pe
|
path | True |
|
The name of the private end point connection. |
|
resource
|
path | True |
|
The name of the resource group. |
|
service
|
path | True |
|
The name of the private link service. |
|
subscription
|
path | True |
|
The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
|
Client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Delete successful. |
|
| 202 Accepted |
Accepted and the operation will complete asynchronously. |
|
| 204 No Content |
Delete successful. |
|
| Other Status Codes |
Error. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
delete private end point connection for a private link service
Sample Request
DELETE https://management.azure.com/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls/privateEndpointConnections/testPlePeConnection?api-version=2021-08-01
Sample Response
Definitions
| Error |
Common error representation. |
|
Error |
Common error details representation. |
Error
Common error representation.
| Name | Type | Description |
|---|---|---|
| code |
|
Error code. |
| details |
Error details. |
|
| innerError |
|
Inner error message. |
| message |
|
Error message. |
| target |
|
Error target. |
ErrorDetails
Common error details representation.
| Name | Type | Description |
|---|---|---|
| code |
|
Error code. |
| message |
|
Error message. |
| target |
|
Error target. |